nanoc (4.14.6-1) unstable; urgency=medium

  [ Lucas Nussbaum ]
  * debian/gbp.conf: Add for DEP-14
  * debian/.gitattributes: remove
  * debian/salsa-ci.yml: use team-specific include

  [ Cédric Boutillier ]
  * New upstream version 4.14.6
    + fixes some test issues (Closes: #1120925)
  * Remove debian/nanoc.docs as README.md is almost empty
  * Refresh patches, drop 0018-Fix-failing-tests-on-Ruby-3.4.patch applied
    upstream
  * Build-depend on ruby-perfect-toml
  * Build-depend on ruby-minitest-mock
  * bump minimal version dependency on ruby-minitest
  * Bump Standards-Version to 4.7.3 (no changes needed)

 -- Cédric Boutillier <boutil@debian.org>  Sun, 15 Feb 2026 11:06:43 +0100

nanoc (4.13.3-3) unstable; urgency=medium

  * Add patch to drop vcr usage in nanoc/test/helper.rb
  * Drop build dependency on ruby-vcr and skip tests for nanoc-checking
  * Refresh patches
  * Skip failing test

 -- Antonio Terceiro <terceiro@debian.org>  Thu, 17 Apr 2025 12:16:01 -0300

nanoc (4.13.3-2) unstable; urgency=medium

  * Team upload.
  * d/control (Rules-Requires-Root): Set to binary-targets. It seems that some
    tests will fail without it (closes: #1094042).
  * debian/patches/0018-Fix-failing-tests-on-Ruby-3.4.patch: Add patch.
    - Fix failing tests with recent Ruby releases.

 -- Daniel Leidert <dleidert@debian.org>  Sun, 02 Feb 2025 14:03:13 +0100

nanoc (4.13.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 4.13.3

 -- Lucas Kanashiro <kanashiro@debian.org>  Tue, 10 Dec 2024 16:36:53 -0300

nanoc (4.13.0-2) unstable; urgency=medium

  * Temporarily deactivate gemdeps dependency test until the transition for
    ruby3.3
  * Refresh 0016-filesystem_spec-skip-tests-that-fail-on-debian.patch

 -- Cédric Boutillier <boutil@debian.org>  Wed, 04 Sep 2024 23:26:28 +0200

nanoc (4.13.0-1) unstable; urgency=medium

  * New upstream version 4.13.0

 -- Cédric Boutillier <boutil@debian.org>  Wed, 04 Sep 2024 22:55:36 +0200

nanoc (4.12.21-1) unstable; urgency=medium

  * New upstream version 4.12.20
  * Bump Standards-Version to 4.7.0 (no changes needed)
  * Drop 0017-Relax-version-dependency-on-psych-gem.patch and
    0018-Read-version-from-Nanoc-CLI.patch, applied upstream
  * Refresh 0001-no_privacy_breach.patch
  * New binary package: ruby-nanoc-org-mode
  * build-depend on ruby-base64
  * New upstream version 4.12.21
  * Clean coverage files
  * Add 0017-skip-timing-recorder-related-tests-for-now.patch: skip timing
    recorder related tests for now
  * Build-depend on ruby-org

 -- Cédric Boutillier <boutil@debian.org>  Thu, 25 Jul 2024 15:19:43 +0200

nanoc (4.12.18-1) unstable; urgency=medium

  * New upstream version 4.12.18
  * Add 0018-Read-version-from-Nanoc-CLI.patch
  * Add 0017-Relax-version-dependency-on-psych-gem.patch to allow ruby-psych
    >= 5
  * Drop 0016-Don-t-refer-to-Nanoc-namespace-from-core.patch, applied upstream
  * Renumber patches

 -- Cédric Boutillier <boutil@debian.org>  Thu, 30 Nov 2023 11:38:13 +0100

nanoc (4.12.16-3) unstable; urgency=medium

  * Team upload

  [ Lucas Kanashiro ]
  * Add patch to skip a test that fails in Ubuntu's autopkgtests
    (LP: #1913586)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 04 Oct 2023 08:44:06 -0400

nanoc (4.12.16-2) unstable; urgency=medium

  [ Antonio Terceiro ]
  * Add ruby-adsf to Recommends:
  * Add ruby-adsf-live to Recommends:

  [ Cédric Boutillier ]
  * Use upstream fix to read version from version_information in nanoc/core
    instead of previous patch

 -- Cédric Boutillier <boutil@debian.org>  Wed, 30 Aug 2023 17:16:43 +0200

nanoc (4.12.16-1) unstable; urgency=medium

  * New upstream version 4.12.16
  * d/rules: remove DH_RUBY_IGNORE_TESTS
  * Bump Standards-Version to 4.6.2 (no changes needed)
  * Replace ruby-hamster by ruby-immutable-ruby in Build-Depends
  * Refresh filter_out_nil_gemspec.patch
  * Drop 0017-Adapt-tests-to-rouge-4.patch, applied upstream
  * Drop rspec_ambiguous_metadata.patch, issue fixed upstream
  * Update rspec_readme_gem_manifest.patch
  * Slim down rspec_readme_gem_manifest.patch
    - the logic to skig gem/manifest related specs moved to d/ruby-tests.rake
      some time ago already
  * Load Nanoc::VERSION constant from nanoc/core for version_information

 -- Cédric Boutillier <boutil@debian.org>  Wed, 30 Aug 2023 15:09:28 +0200

nanoc (4.12.15-2) unstable; urgency=medium

  * Upload to unstable

 -- Antonio Terceiro <terceiro@debian.org>  Wed, 28 Jun 2023 15:31:19 -0300

nanoc (4.12.15-2~0) experimental; urgency=medium

  * Add patch to fix tests against ruby-rouge 4 (Closes: #1037464)
  * Bump build and runtime dependencies on ruby-rouge to >= 4

 -- Antonio Terceiro <terceiro@debian.org>  Tue, 13 Jun 2023 16:03:45 -0300

nanoc (4.12.15-1) unstable; urgency=medium

  [ Cédric Boutillier ]
  * Remove X?-Ruby-Versions fields from d/control

  [ Antonio Terceiro ]
  * New upstream version 4.12.15
  * Refresh patches

 -- Antonio Terceiro <terceiro@debian.org>  Tue, 13 Jun 2023 09:16:40 -0300

nanoc (4.12.14-3) unstable; urgency=medium

  * Make Pygmentize test more robust (Closes: #1029519)

 -- Cédric Boutillier <boutil@debian.org>  Sun, 05 Feb 2023 00:16:55 +0100

nanoc (4.12.14-2) unstable; urgency=medium

  * debian/ruby-tests.rake: print task names
  * debian/ruby-tests.rake: set CI=1.
    There is at least one test that will try allocating a huge amount of
    memory, causing failures on machines that don't have enough RAM, except
    when CI is set.

 -- Antonio Terceiro <terceiro@debian.org>  Sat, 24 Dec 2022 16:18:57 -0300

nanoc (4.12.14-1) unstable; urgency=medium

  * Team upload

  [ Pirate Praveen ]
  * New upstream version 4.12.7 (upstream switched to terser from uglifier)
  * Drop 0016-filesystem_spec-skip-tests-that-fail-on-debian.patch (merged
    upstream) and refresh other patches (remove fuzz).
  * TODO: need psych 4.0

  [ Antonio Terceiro ]
  * New upstream version 4.12.14
  * Refresh patches
  * Bump Build-Depends: on ruby-contracts to (>= 0.17)
  * Drop build dependencies on ruby-coffee-script
  * debian/ruby-tests.rake: run all test tasks even after one fails
  * debian/ruby-tests.rake: don't run coffee-script test
  * Bump build dependency on ruby-haml to (>= 6.0)
  * debian/rules: ignore test failure under ruby3.0
  * Disable test that checks for the current year (Closes: #1025096)

 -- Antonio Terceiro <terceiro@debian.org>  Fri, 23 Dec 2022 11:24:01 -0300

nanoc (4.12.5-4) unstable; urgency=medium

  * Team Upload
  * Switch to terser from uglifier
  * Bump Standards-Version to 4.6.1 (no changes needed)

 -- Pirate Praveen <praveen@debian.org>  Fri, 03 Jun 2022 17:11:41 +0530

nanoc (4.12.5-3) unstable; urgency=medium

  * Add as a suffix the source version to version numbers of binary packages
    with versions different from the source to ensure that the version number
    of these packages will always increase at every upload (Closes: #1004505)
    + revert in particular the previous addition of a + for ruby-nanoc-live

 -- Cédric Boutillier <boutil@debian.org>  Sun, 30 Jan 2022 00:10:57 +0100

nanoc (4.12.5-2) unstable; urgency=medium

  * dh_gencontrol: add + in the fake version number for ruby-nanoc-live
    as the previous package had a gem beta version number which for Debian
    was higher than 1.0
  * Update years in copyright file
  * Remove trailing space in 4.11.23-2 changelog entry
  * Bump Standards-Version to 4.6.0 (no changes needed)

 -- Cédric Boutillier <boutil@debian.org>  Sat, 29 Jan 2022 16:06:24 +0100

nanoc (4.12.5-1) unstable; urgency=medium

  * Team upload.

  [ Cédric Boutillier ]
  * New upstream version 4.12.4

  [ Sergio Durigan Junior ]
  * New upstream version 4.12.5
  * d/control: B-D on ruby-memo-wise.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Thu, 27 Jan 2022 13:52:19 -0500

nanoc (4.11.23-2) unstable; urgency=medium

  * Build-depend on colored (Closes: #997336)

 -- Cédric Boutillier <boutil@debian.org>  Tue, 26 Oct 2021 12:03:09 +0200

nanoc (4.11.23-1) unstable; urgency=medium

  * New upstream version 4.11.23
  * Refresh patches
  * Add 2 patches to adjust the test suite for Debian
  * Add myself to Uploaders:

 -- Antonio Terceiro <terceiro@debian.org>  Sat, 06 Feb 2021 11:28:54 -0300

nanoc (4.11.18-1) unstable; urgency=medium

  * Team upload
  * Add missing ${ruby:Depends} to all binary packages
  * autopkgtest: add smoke test
  * debian/ruby-tests.rake: run tests against installed code

 -- Antonio Terceiro <terceiro@debian.org>  Mon, 01 Feb 2021 09:45:59 -0300

nanoc (4.11.18-1~1) experimental; urgency=medium

  * Team upload

  [ Cédric Boutillier ]
  * New upstream version 4.11.18
  * New binary package for the external filter

  [ Antonio Terceiro ]
  * Add binary packages for nanoc-checking and nanoc-deploying
  * Refresh patches
  * debian/ruby-tests.rake: Don't Repeat Yourself
    - run tests for new sub-packages
    - do the right thing under autopkgtest
  * debian/rules: produce version numbers matching the gemspecs
  * add new build dependency: ruby-webmock

 -- Antonio Terceiro <terceiro@debian.org>  Fri, 29 Jan 2021 10:17:00 -0300

nanoc (4.11.14-4) unstable; urgency=medium

  * Skip nanoc-live tests failing on ipv6-only builders (Closes: #972701)
  * Use the correct json shema gem as dependency for ruby-nanoc-core

 -- Cédric Boutillier <boutil@debian.org>  Wed, 18 Nov 2020 14:26:19 +0100

nanoc (4.11.14-3) unstable; urgency=medium

  * Use asciidoc instead of asciidoc-base package name in dependencies
    (Closes: #971653)
  * Remove or reshuffle some dependencies between packages
  * Rules doesn't require root

 -- Cédric Boutillier <boutil@debian.org>  Tue, 13 Oct 2020 15:40:03 +0200

nanoc (4.11.14-2) unstable; urgency=medium

  * Make nanoc depend on ruby-nanoc-cli (Closes: #968056)
  * Bump debhelper compatibility level to 13
  * Use secure URI in Homepage field.

 -- Cédric Boutillier <boutil@debian.org>  Wed, 26 Aug 2020 16:21:09 +0200

nanoc (4.11.14-1) unstable; urgency=medium

  [ Utkarsh Gupta ]
  * Add salsa-ci.yml

  [ Cédric Boutillier ]
  * New upstream version 4.11.14
  * Use gem installation layout
  * Refresh patches
  * Create new ruby-nanoc-core and ruby-nanoc-cli binary packages
  * Drop nanoc-doc package
  * Skip failing tests
  * Add upstream/metadata and .gitattributes
  * Add README.md as doc for nanoc package
  * Remove symlink for gemspec in debian/
  * remove old NEWS entry
  * add tests for nanoc-live
  * debian/patches:
    + skip gem and manifest generation specs for nanoc-live
    + Force external encoding to UTF-8 for live_recompiler_spec
    + Add live command if ruby-nanoc-live installed

  [ Marc Dequènes (Duck) ]
  * add ruby-nanoc-live
  * Add missing Ruby interpreter dependency.
  * Enable dependency checking

 -- Cédric Boutillier <boutil@debian.org>  Mon, 27 Jul 2020 12:16:36 +0200

nanoc (4.11.0-5) unstable; urgency=medium

  * Replace python-pygments by python3-pygments to ease removal of Python 2
    from bullseye. Thanks Sandro Tosi. (Closes: #943191)

 -- Cédric Boutillier <boutil@debian.org>  Tue, 07 Apr 2020 01:53:43 +0200

nanoc (4.11.0-4) unstable; urgency=medium

  * Fix issues with tests (Closes: #952038)
    + Add patch to skip tests failing with newer ruby-rouge
    + Add requirement on ruby-colored, dropped from newer ruby-cri
    + Skip patches relying on SAFE mechanism, dropped in ruby2.7
    + Skip checksum spec issues with ruby2.7

 -- Cédric Boutillier <boutil@debian.org>  Thu, 12 Mar 2020 14:14:23 +0100

nanoc (4.11.0-3) unstable; urgency=medium

  * Change (build-)dependencies from ruby-fog (removed from the archive) to
    ruby-fog-local (Closes: #924845)

 -- Cédric Boutillier <boutil@debian.org>  Thu, 12 Mar 2020 14:13:40 +0100

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog ruby-nanoc-core`.
